@rem put this file in your root mud directory                                                *
@rem Windows95/NT batch file for Circle MUD version 3.00 beta patchlevel 14                  *
@rem author: Daniel Staudt email:dstaudt@hotmail.com ICQ#:14148959                           *
@rem         MUD: ArmageddonMUD <pre-alpha><no site>                                         *
@rem NOTE: This is a pure Windows batch file<all stock supplied programs>.  My own batch     *
@rem       file uses a win32 port of certain gnu tools to expand its capabilities to the     *
@rem       fullest. They are contained in the GNU-Win32 Developers tools at                  *
@rem       http://www.cygnus.com/misc/gnu-win32/ or email me and i'll send the ones i use to *
@rem       you. The tools that i use are 2 meg uncompressed while the full developers tools  *
@rem       are 12 meg compressed.  If/When you have the tools i will give you the complete   *
@rem       version.                                                                          *
@rem      Also this file assumes that you log to the file "log/syslog".  please make         *
@rem       appropriate changes.  i do have a patch to log to both a file and stdout          *
@rem      Also note the fastboot option doesn't work and you will need to rem tthe period    *
@rem       from the file names in the mud                                                    *
@rem *****************************************************************************************

rem change to your root mud directory and drive
c:
cd \
cd Armageddon
echo "autoscript started "  >> log\syslog
:start
cls

rem change to the relative/absolute path to your mud exetuable
src\Debug\Armageddon.exe
@if errorlevel 1 goto exit

rem *** Check log file ***

  find "self-delete"    log\syslog >> log\selfdel
  find "death trap"     log\syslog >> log\dts
  find "killed"         log\syslog >> log\rip
  find "Running"        log\syslog >> log\restarts
  find "advanced"       log\syslog >> log\levels
  find "equipment lost" log\syslog >> log\rentgone
  find "usage"          log\syslog >> log\usage
  find "HELP"           log\syslog >> log\help
  find "new player"     log\syslog >> log\newplayers
  find "SYSERR"         log\syslog >> log\errors
  find "(GC)"           log\syslog >> log\godcmds
  find "Bad PW"         log\syslog >> log\badpws
  find "OLC"            log\syslog >> log\olc

rem *** Archiving syslog files ***
  del log\syslog20
  move log\syslog19 log\syslog20
  move log\syslog18 log\syslog19
  move log\syslog17 log\syslog18
  move log\syslog16 log\syslog17
  move log\syslog15 log\syslog16
  move log\syslog14 log\syslog15
  move log\syslog13 log\syslog14
  move log\syslog12 log\syslog13
  move log\syslog11 log\syslog12
  move log\syslog10 log\syslog11
  move log\syslog09 log\syslog10
  move log\syslog08 log\syslog09
  move log\syslog07 log\syslog08
  move log\syslog06 log\syslog07
  move log\syslog05 log\syslog06
  move log\syslog04 log\syslog05
  move log\syslog03 log\syslog04
  move log\syslog02 log\syslog03
  move log\syslog01 log\syslog02
  move log\syslog   log\syslog01

if exist killscript goto exit

if exist pause pause
if exist pause del pause

goto start

:exit
echo "autoscript terminated "  >> log\syslog

del killscript
rem pause

echo BYE BYE!